<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 2.1: Variable Names</title>
<link href="sx5.html" rev=precedes>
<link href="sx5b.html" rel=precedes>
<link href="sx5.html" rev=subdocument>
</head>
<body>
<H2>section 2.1: Variable Names</H2>

<p>Deep sentence:
<blockquote>Don't begin variable names with underscore, however,
since library routines often use such names.
</blockquote>If you happen to pick a name which ``collides'' with
(is the same as)
a name already chosen by a library routine,
either your code
or the library routine
(or both)
won't work.
Naming issues become very significant in large projects,
and problems can be avoided by setting guidelines for who may 
use which names.
One of these guidelines is simply that user code should not use 
names beginning with an underscore,
because these names are
(for the most part)
``reserved to the implementation''
(that is,
reserved for use by the compiler and the standard library).
</p><p>Note that case is significant;
assuming that case is ignored
(as it is with some other programming languages and operating systems)
can lead to real frustration.
</p><p>The convention that all-upper-case names are used for
symbolic constants
(i.e. as
created with the <TT>#define</TT> directive,
which we learned about in section 1.4)
is arbitrary, but useful.
Like the various conventions for code layout (page 10),
this convention is a good one to accept
(i.e. not get too creative about),
until you have some very good reason for altering it.
</p><p>Deep sentence:
<blockquote>Keywords like
<TT>if</TT>, <TT>else</TT>, <TT>int</TT>, <TT>float</TT>, etc.,
are reserved;
you can't use them as variable names.
</blockquote>You can find the complete list of keywords
in appendix A2.4 on page 192.
</p><hr>
<p>
Read sequentially:
<a href="sx5.html" rev=precedes>prev</a>
<a href="sx5b.html" rel=precedes>next</a>
<a href="sx5.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
